Class | Chef::ReservedNames::Win32::File
In: | lib/chef/win32/file/info.rb lib/chef/win32/file.rb
Parent: | Object

### Methods

get_long_path_name get_short_path_name info link readlink symlink symlink? verify_links_supported!

### Included Modules

Chef::ReservedNames::Win32::API::File

### Classes and Modules

Class Chef::ReservedNames::Win32::File::Info

### External Aliases

info | -> | stat

### Public Class methods

get_long_path_name(path)

Gets the long form of a path (ADMINI~1 -> Administrator)

get_short_path_name(path)

Gets the short form of a path (Administrator -> ADMINI~1)

info(file_name)
link(old_name, new_name)

Creates a symbolic link called `new_name` for the file or directory `old_name`.

This method requires Windows Vista or later to work. Otherwise, it returns nil as per MRI.

readlink(link_name)

Returns the path of the of the symbolic link referred to by `file`.

Requires Windows Vista or later. On older versions of Windows it will raise a NotImplementedError, as per MRI.

symlink(old_name, new_name)

Creates a symbolic link called `new_name` for the file or directory `old_name`.

This method requires Windows Vista or later to work. Otherwise, it returns nil as per MRI.

symlink?(file_name)

Return true if the named file is a symbolic link, false otherwise.

This method requires Windows Vista or later to work. Otherwise, it always returns false as per MRI.

verify_links_supported!()

[Validate]